Summary:	DLNA library
Summary(pl.UTF-8):	Biblioteka DLNA
Name:		libdlna
Version:	0.2.4
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://libdlna.geexbox.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	64d7de57aff5a729f2434fc5e69b4ffc
URL:		http://libdlna.geexbox.org/
# libavformat, libavcodec
BuildRequires:	ffmpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdlna aims at being the reference open-source implementation of DLNA
(Digital Living Network Alliance) standards.

%description -l pl.UTF-8
libdlna ma na celu być wzorcową, mającą otwarte źródła implementacją
standardów DLNA (Digital Living Network Alliance).

%package devel
Summary:	Header files for libdlna library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdlna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# libavformat, libavcodec
Requires:	ffmpeg-devel

%description devel
Header files for libdlna library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdlna.

%package static
Summary:	Static libdlna library
Summary(pl.UTF-8):	Statyczna biblioteka libdlna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdlna library.

%description static -l pl.UTF-8
Statyczna biblioteka libdlna.

%prep
%setup -q

%build
# not autoconf-generated
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fpic -Isrc"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libdlna.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdlna.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdlna.so
%{_includedir}/dlna.h
%{_pkgconfigdir}/%{name}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdlna.a
%changelog
* Sun Aug 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdlna.git;a=log;h=master

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> b1e17e8
- rebuild with ffmpeg 2.0.1
- release 2 (by relup.sh)

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 999890b
- pl
- License is LGPL
- devel R: ffmpeg-devel

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 3ae5988
- updated to 0.2.4
- removed obsolete ffmpeg patches

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f444a2c
- rel 2; fix build with latest ffmpeg

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> ff9b499
- verbose files, unify configure
- pass CC/CFLAGS in a way it actually is not overwritten by Makefile

* Thu Jun 24 2010 Bartłomiej Zimoń <cactus@pld-linux.org> ec704fe
- more simple libdir (thx Leczar Pawel)

* Thu Jun 24 2010 Bartłomiej Zimoń <cactus@pld-linux.org> 24fdbd7
- rel 1; ghost symlink, add .pc file

* Thu Jun 24 2010 Bartłomiej Zimoń <cactus@pld-linux.org> 1f1fda2
- pass libdir to configure - install in lib64 support

* Thu Jun 24 2010 Bartłomiej Zimoń <cactus@pld-linux.org> d031647
- use -j1 and pass CFLAGS by env for clean build

* Fri Dec 19 2008 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 012de97
- static package added

* Thu Dec 18 2008 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 8fded3e
- *** empty log message ***

* Thu Dec 18 2008 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 8e642ba
- initial spec

